<!doctype html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

		<title>Git Workshop</title>

		<link rel="stylesheet" href="dist/reset.css">
		<link rel="stylesheet" href="dist/reveal.css">
		<link rel="stylesheet" href="dist/theme/moon.css" id="theme">

		<!-- Theme used for syntax highlighted code -->
		<link rel="stylesheet" href="plugin/highlight/monokai.css" id="highlight-theme">
	</head>
	<body>
		<div class="reveal">
			<div class="slides">
				<section
					data-markdown="resources/01_Agenda.md"
					data-separator="^\r?\n---\r?\n$"
					data-separator-vertical="^\r?\n~~~\r?\n$">
				</section>
				<section
					data-markdown="resources/02_Vocabulary.md"
					data-separator="^\r?\n---\r?\n$"
					data-separator-vertical="^\r?\n~~~\r?\n$">
				</section>
				<section
					data-markdown="resources/03_basic_git_commands.md"
					data-separator="^\r?\n---\r?\n$"
					data-separator-vertical="^\r?\n~~~\r?\n$">
				</section>
				<section
					data-markdown="resources/04_merge_conflicts.md"
					data-separator="^\r?\n---\r?\n$"
					data-separator-vertical="^\r?\n~~~\r?\n$">
				</section>
				<section
					data-markdown="resources/05_best_practices.md"
					data-separator="^\r?\n---\r?\n$"
					data-separator-vertical="^\r?\n~~~\r?\n$">
				</section>
				<section
					class="advanced"
					data-markdown="resources/06_advanced_git_usage.md"
					data-separator="^\r?\n---\r?\n$"
					data-separator-vertical="^\r?\n~~~\r?\n$">
				</section>
				<section
					data-markdown="resources/07_gitignore_gitconfig.md"
					data-separator="^\r?\n---\r?\n$"
					data-separator-vertical="^\r?\n~~~\r?\n$">
				</section>
				<section
					class="advanced"
					data-markdown="resources/08_git_flow.md"
					data-separator="^\r?\n---\r?\n$"
					data-separator-vertical="^\r?\n~~~\r?\n$">
				</section>
				<section
					data-markdown="resources/09_outro.md"
					data-separator="^\r?\n---\r?\n$"
					data-separator-vertical="^\r?\n~~~\r?\n$">
				</section>
			</div>
		</div>

		<script src="dist/reveal.js"></script>
		<script src="plugin/notes/notes.js"></script>
		<script src="plugin/markdown/markdown.js"></script>
		<script src="plugin/highlight/highlight.js"></script>
		<script>
			// More info about initialization & config:
			// - https://revealjs.com/initialization/
			// - https://revealjs.com/config/
			Reveal.initialize({
				hash: true,

				// Learn about plugins: https://revealjs.com/plugins/
				plugins: [ RevealMarkdown, RevealHighlight, RevealNotes ]
			});
		</script>
	</body>
</html>
